Package twisted :: Package protocols :: Module basic :: Class Int32StringReceiver

[show private | hide private]
[frames | no frames]

## Class Int32StringReceiver

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Int32StringReceiver

A receiver for int32-prefixed strings.

An int32 string is a string prefixed by 4 bytes, the 32-bit length of the string encoded in network byte order.

This class publishes the same interface as NetstringReceiver.

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``dataReceived`(self, recd)` Convert int32 prefixed strings into calls to stringReceived.
| ``sendString`(self, data)` Send an int32-prefixed string to the other end of the connection.
| ``stringReceived`(self, msg)` Override this.

Class Variable Summary
`int` | `MAX_LENGTH`
`str` | `recvd`

Method Details

### dataReceived(self, recd)

Convert int32 prefixed strings into calls to stringReceived.

### sendString(self, data)

Send an int32-prefixed string to the other end of the connection.

### stringReceived(self, msg)

Override this.

Class Variable Details

### MAX_LENGTH

  Type:
    `int`
  Value:

        99999

### recvd

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net